#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <math.h>
#include "discconv.h"

/* f1(x) = 2*x0^2 + 3*x1^2 - 2*x1*x2 */
static double f1(int dim, int x[]) {
    double r = 0;

    assert(dim == 2);  /* check dimension */
    r +=  2 * x[0] * x[0];
    r +=  3 * x[1] * x[1];
    r += -2 * x[0] * x[1];
    return r;
}

int main(int argc, char *argv[]) {
    int x[2] = {10,15};  /* initial solution */
    double ans;

    ans = lgconv_minimize_scaling2(2, f1, x);
    printf("ans = %g\n", ans);
}
